<script setup>

import { theme } from '/app.vue';

  const props = defineProps({
    visible: {
      type: Boolean,
      required: false,
      default: true
    },
    classCSS: {
      type: String,
      required: false,
      default: ""
    },
  });
    
const bgArrowColor=computed (()=>{
  if (theme.value && theme.value=="dark") {
    return  "#ece6e3";
  }

  return "white ";
});
</script>
<template>
    <img src="/images/arrow_right.svg" alt="droite" :class="classCSS+' w-4 h-4 p-1.5 whiteCircle shadow-las hover:cursor-pointer'+(visible?' visible':' invisible')" />
</template>

<style scoped>
    .whiteCircle {
      height: 40px;
      width: 40px;
      background-color: v-bind('bgArrowColor');
      border-radius: 50%;
      display: inline-block;
    }
</style>